=== examples/CMakeLists.txt ===
set(CMAKE_INCLUDE_CURRENT_DIR ON)
include(${QT_USE_FILE})

if(Qt5Core_FOUND)
  find_package(Qt5Widgets REQUIRED)
  set(QT_QTWIDGETS_LIBRARY Qt5::Widgets)
else()
  set(QT_QTWIDGETS_LIBRARY)
endif()

include(../KDSoapMacros.cmake)
include_directories(../src/ ../src/KDSoapClient/ ../src/KDSoapServer/)
if(Qt5Widgets_FOUND)
  add_subdirectory(helloworld_client)
  add_subdirectory(helloworld_server)
  add_subdirectory(bank_gui)
endif()
add_subdirectory(bank_wsdl)
