=== features/CMakeLists.txt ===
install(FILES kdsoap.prf DESTINATION ${INSTALL_DATADIR}/mkspecs/features )
