=== src/CMakeLists.txt ===
add_subdirectory(KDSoapClient)
add_subdirectory(KDSoapServer)
