=== debian/changelog ===
kdsoap (1.9.1+dfsg-5ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:30:59 +0000

kdsoap (1.9.1+dfsg-5ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:54:46 +0000

kdsoap (1.9.1+dfsg-5ubuntu1) jammy; urgency=medium

  * Mark some symbols optional to prevent FTBFS on ppc64el.

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Feb 2022 12:45:57 +0000

kdsoap (1.9.1+dfsg-5) unstable; urgency=medium

  * Update symbols files for mipsel, mips64el, alpha, hppa and sparc64 architectures.
  * Update debian/watch file.

 -- Thomas Pierson <contact@thomaspierson.fr>  Mon, 21 Feb 2022 22:09:27 +0100

kdsoap (1.9.1+dfsg-4) unstable; urgency=medium

  * Update symbols files for all architectures.

 -- Thomas Pierson <contact@thomaspierson.fr>  Sat, 12 Feb 2022 10:48:48 +0100

kdsoap (1.9.1+dfsg-3) unstable; urgency=medium

  * Update symbols files for amd64 architectures. (Closes: #997406)

 -- Thomas Pierson <contact@thomaspierson.fr>  Fri, 11 Feb 2022 23:17:12 +0100

kdsoap (1.9.1+dfsg-2) unstable; urgency=medium

  * Source only upload.
  * Update symbols files for all architectures.

 -- Thomas Pierson <contact@thomaspierson.fr>  Wed, 11 Nov 2020 09:17:49 +0100

kdsoap (1.9.1+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #971913)

 -- Thomas Pierson <contact@thomaspierson.fr>  Thu, 08 Oct 2020 08:47:59 +0200
