=== debian/control ===
Source: kdsoap
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Pierson <contact@thomaspierson.fr>
Build-Depends: cmake (>= 2.8.7),
               debhelper-compat (= 13),
               libboost-dev (>= 1.34.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~)
Standards-Version: 4.5.0
Section: libs
Homepage: https://www.kdab.com/development-resources/qt-tools/kd-soap/
Vcs-Browser: https://salsa.debian.org/thomaspi-guest/pkg-kdsoap
Vcs-Git: https://salsa.debian.org/thomaspi-guest/pkg-kdsoap.git
Rules-Requires-Root: no

Package: libkdsoap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libkdsoap-dev
Description: Qt-based client-side and server-side SOAP component - documentation
 Qt-based client-side and server-side SOAP component. It can be used to
 create client applications for web services and also provides the means to
 create web services without the need for any further component such as a
 dedicated web server.
 .
 This package contains the documentation.

Package: libkdsoap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: qtbase5-dev (>= 5.11.0~),
         libkdsoap1 (= ${binary:Version}),
         libkdsoap-bin (= ${binary:Version}),
         libkdsoap-server1 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libkdsoap-doc
Description: Qt-based client-side and server-side SOAP component - devel files
 Qt-based client-side and server-side SOAP component. It can be used to
 create client applications for web services and also provides the means to
 create web services without the need for any further component such as a
 dedicated web server.
 .
 This package contains the development files

Package: libkdsoap-bin
Section: libs
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt-based client-side and server-side SOAP component - binaries
 Qt-based client-side and server-side SOAP component. It can be used to
 create client applications for web services and also provides the means to
 create web services without the need for any further component such as a
 dedicated web server.
 .
 This package contains some utilities and example programs for the library.


Package: libkdsoap1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt-based client-side and server-side SOAP component - client-side library
 Qt-based client-side and server-side SOAP component. It can be used to
 create client applications for web services and also provides the means to
 create web services without the need for any further component such as a
 dedicated web server.
 .
 This package contains the client-side library

Package: libkdsoap-server1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt-based client-side and server-side SOAP component - server-side library
 Qt-based client-side and server-side SOAP component. It can be used to
 create client applications for web services and also provides the means to
 create web services without the need for any further component such as a
 dedicated web server.
 .
 This package contains the server-side library
