## kdsoap 2.2.0

=== debian/changelog ===
kdsoap (2.2.0-0ubuntu1) oracular; urgency=medium

  * Release to archive. 

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 28 Aug 2024 07:04:52 -0700

kdsoap (2.2.0-0ubuntu11~ubuntu24.10~ppa8) oracular; urgency=medium

  * Hard code qmake command. 

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 23 Aug 2024 01:30:35 -0700

kdsoap (2.2.0-0ubuntu11~ubuntu24.10~ppa7) oracular; urgency=medium

  * Try qtchooser to install qt.conf 

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 23 Aug 2024 00:37:15 -0700

kdsoap (2.2.0-0ubuntu11~ubuntu24.10~ppa6) oracular; urgency=medium

  * Try and drop depreciated LOCAtiON 

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 23 Aug 2024 00:24:42 -0700

kdsoap (2.2.0-0ubuntu11~ubuntu24.10~ppa5) oracular; urgency=medium

  * Patch cmake to find qmake6. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Aug 2024 23:30:58 -0700

kdsoap (2.2.0-0ubuntu11~ubuntu24.10~ppa4) oracular; urgency=medium

  * Also set QT_VERSION_MAJOR.

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Aug 2024 09:40:38 -0700

kdsoap (2.2.0-0ubuntu11~ubuntu24.10~ppa3) oraculaUNRELEASEDr; urgency=medium

  * Use qtchooser. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Aug 2024 08:28:15 -0700

kdsoap (2.2.0-0ubuntu11~ubuntu24.10~ppa2) oracular; urgency=medium

  * Patch symbols in from defferent arches.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Aug 2024 09:53:37 -0700

kdsoap (2.2.0-0ubuntu11~ubuntu24.10~ppa1) oracular; urgency=medium

  * New upstream release (2.2.0).
  * Update dependencies.
  * Update to Kubuntu VCS. 
  * Update packages to qt6.
  * Refresh symbols files.
  * Rename manpage. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 15 Aug 2024 08:26:11 -0700
