=== debian/control ===
--- 
+++ 
@@ -4,21 +4,27 @@
 XSBC-Original-Maintainer: Thomas Pierson <contact@thomaspierson.fr>
 Build-Depends: cmake (>= 2.8.7),
                debhelper-compat (= 13),
-               libboost-dev (>= 1.34.0~),
-               pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.11.0~)
+               dh-sequence-kf6,
+               doxygen,
+               pkg-kde-tools,
+               graphviz,
+               qmake6,
+               qtchooser,
+               qt6-base-dev,
+               qt6-tools-dev,
+               texlive
 Standards-Version: 4.5.0
 Section: libs
 Homepage: https://www.kdab.com/development-resources/qt-tools/kd-soap/
-Vcs-Browser: https://salsa.debian.org/thomaspi-guest/pkg-kdsoap
-Vcs-Git: https://salsa.debian.org/thomaspi-guest/pkg-kdsoap.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdsoap
+Vcs-Git: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdsoap.git
 Rules-Requires-Root: no
 
-Package: libkdsoap-doc
+Package: libkdsoap-qt6-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: libkdsoap-dev
+Suggests: libkdsoap-qt6-dev
 Description: Qt-based client-side and server-side SOAP component - documentation
  Qt-based client-side and server-side SOAP component. It can be used to
  create client applications for web services and also provides the means to
@@ -27,16 +33,16 @@
  .
  This package contains the documentation.
 
-Package: libkdsoap-dev
+Package: libkdsoap-qt6-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: qtbase5-dev (>= 5.11.0~),
-         libkdsoap1 (= ${binary:Version}),
-         libkdsoap-bin (= ${binary:Version}),
-         libkdsoap-server1 (= ${binary:Version}),
+Depends: qt6-base-dev (>= 6.5.0+dfsg~),
+         libkdsoap-qt6-2 (= ${binary:Version}),
+         libkdsoap-qt6-bin (= ${binary:Version}),
+         libkdsoap-server-qt6-2 (= ${binary:Version}),
          ${misc:Depends}
-Suggests: libkdsoap-doc
+Suggests: libkdsoap-qt6-doc
 Description: Qt-based client-side and server-side SOAP component - devel files
  Qt-based client-side and server-side SOAP component. It can be used to
  create client applications for web services and also provides the means to
@@ -45,7 +51,7 @@
  .
  This package contains the development files
 
-Package: libkdsoap-bin
+Package: libkdsoap-qt6-bin
 Section: libs
 Architecture: any
 Multi-Arch: foreign
@@ -59,7 +65,7 @@
  This package contains some utilities and example programs for the library.
 
 
-Package: libkdsoap1
+Package: libkdsoap-qt6-2
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -71,7 +77,7 @@
  .
  This package contains the client-side library
 
-Package: libkdsoap-server1
+Package: libkdsoap-server-qt6-2
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
