=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export QT_SELECT=qt6
export QMAKE="/usr/bin/qmake6"

DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)


%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	cp -rfv $(CURDIR)/libkode $(CURDIR)/kdwsdl2cpp/
	dh_auto_configure -- -DKDSoap_DOCS=false -DKDSoap_TESTS=false -DKDSoap_QT6=true -DKDSoap_EXAMPLES=true -DQT_VERSION_MAJOR=6
