=== debian/watch ===
version=4
opts="searchmode=plain, \
filenamemangle=s/.+\/@PACKAGE@-@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1\.tar\.gz/" \
https://api.github.com/repos/KDAB/KDSoap/releases \
https://github.com/KDAB/KDSoap/releases/download/@PACKAGE@-?\d[\.\d]*/@PACKAGE@-@ANY_VERSION@.tar.gz

opts=mode=git,\
component=libkode \
https://github.com/cornelius/libkode \
HEAD ignore same uupdate
